import React from "react";
import { IAbsoluteDateFilterForm, WeekStart } from "@gooddata/sdk-model";
import { IExtendedDateFilterErrors, DateFilterOption, IDateFilterOptionChangedDetails } from "../interfaces/index.js";
/**
 * @internal
 */
export interface IAbsoluteDateFilterFormProps {
    dateFormat: string;
    selectedFilterOption: IAbsoluteDateFilterForm;
    isMobile: boolean;
    errors: IExtendedDateFilterErrors["absoluteForm"];
    onSelectedFilterOptionChange: (option: DateFilterOption, changeDetails?: IDateFilterOptionChangedDetails) => void;
    isTimeEnabled: boolean;
    weekStart?: WeekStart;
    shouldOverlayDatePicker?: boolean;
    onKeyDown?: (event: React.KeyboardEvent) => void;
}
/**
 * @internal
 */
export declare const AbsoluteDateFilterForm: React.FC<IAbsoluteDateFilterFormProps>;
//# sourceMappingURL=AbsoluteDateFilterForm.d.ts.map