// (C) 2019-2025 GoodData Corporation
import React from "react";
import { useAutofocusOnMount } from "@gooddata/sdk-ui-kit";
export const DateFilterHeader = ({ children, changeRoute, ...otherProps }) => {
    const autofocusRef = useAutofocusOnMount();
    return (React.createElement("button", { ref: autofocusRef, className: "gd-extended-date-filter-header s-do-not-close-dropdown-on-click", onClick: (e) => {
            e.preventDefault();
            changeRoute(null);
        }, ...otherProps },
        React.createElement("span", { className: "gd-icon-navigateleft" }),
        "\u2003",
        children));
};
//# sourceMappingURL=DateFilterHeader.js.map