import React from "react";
import { WeekStart } from "@gooddata/sdk-model";
import { DateFilterOption, IDateFilterOptionChangedDetails, IDateFilterOptionsByType, IExtendedDateFilterErrors } from "../interfaces/index.js";
import { DateFilterRoute } from "../DateFilterBody/types.js";
interface IAbsoluteDateFilterFormSection {
    filterOptions: IDateFilterOptionsByType;
    selectedFilterOption: DateFilterOption;
    isMobile: boolean;
    route: DateFilterRoute;
    dateFormat: string;
    errors: IExtendedDateFilterErrors;
    isTimeForAbsoluteRangeEnabled: boolean;
    weekStart: WeekStart;
    onSelectedFilterOptionChange: (option: DateFilterOption, changeDetails?: IDateFilterOptionChangedDetails) => void;
    closeDropdown: () => void;
    onApplyClick: () => void;
    changeRoute: (newRoute?: DateFilterRoute) => void;
}
export declare const AbsoluteDateFilterFormSection: React.FC<IAbsoluteDateFilterFormSection>;
export {};
//# sourceMappingURL=AbsoluteDateFilterFormSection.d.ts.map